Subject: Re: CALSCH Action Items - - Error

From: [email-masked]
Date: Tue, 12 Apr 1988 13:35:33 -0400

Bruce Kahn, wrote in part:
>For example #1, thats just an access problem waiting to happen!  I grant 
>0% access to my local disk for both personal and work reasons.  Just not 
a 
>good example to even THINK about.

Bruce. You had good counter arguments on many of your points. I concede!
But on this one, the example was use for copy/paste from clipboard. When I 
am told to copy an event from a local storage to the OS clipboard. I will 
probably render the event with the ATTACH property specifying a FILE type 
URL or render the ATTACH content inline. But probably the former.
I am not going to put it out as a multipart. I want to use the clipboard 
registered format identifier for text/calendar.
This was my point.

---

From: Doug Royer <[email-masked]>
Date: Wed, 12 Apr 2000 12:26:41 -0700

[email-masked] wrote:
> >0% access to my local disk for both personal and work reasons.  Just not a
> But on this one, the example was use for copy/paste from clipboard.
> When I am told to copy an event from a local storage to the OS clipboard.
> I will probably render the event with the ATTACH property specifying a
> FILE type URL or render the ATTACH content inline. But probably the former.

You can if the intended recipient is local to your domain. Or if
you export your filesystem to outside of your domain.

No one is saying you MUST use a CID or MID when you create
or transmit an iCalendar object with attachments.

The point is that IF you as the 'recipient' (by whatever means)
get an iCalendar object that contains a CID or MID attachment.
THEN you MUST be able to handle it. As it is valid for anyone to
transmit (by whatever means) a iCalendar object that contains
CID's and MID's. This is true for CAP and iMIP. That's why
I think it MUST be in iCalenar - as this applies to any
transport method.

If this were not the case (that the recipient MUST be able
to handle a CID or MID). Then you could NEVER send one with
a CID or MID and be interoperable.

-Doug